ASP.NET Core Blazor supported platforms

By Luke Latham

Important

Blazor WebAssembly in preview

Blazor Server is supported in ASP.NET Core 3.0. Blazor WebAssembly is in preview for ASP.NET Core 3.1.

Browser requirements

Blazor WebAssembly

Browser Version
Microsoft Edge Current
Mozilla Firefox Current
Google Chrome, including Android Current
Safari, including iOS Current
Microsoft Internet Explorer Not Supported†

†Microsoft Internet Explorer doesn't support WebAssembly.

Blazor Server

Browser Version
Microsoft Edge Current
Mozilla Firefox Current
Google Chrome, including Android Current
Safari, including iOS Current
Microsoft Internet Explorer 11†

†Additional polyfills are required (for example, promises can be added via a Polyfill.io bundle).

Additional resources